Subject: Re: [tcpm] poll for adoption of draft-gont-tcpm-tcp-timestamps-03

From: Alfred Hönes <[email-masked]>
Date: Sun, 21 Mar 2010 22:55:34 +0100 (MEZ)

Folks,

I support adopting this short draft as a distinct work item for TCPM.
Its brevity and the fact that major details already have been
discussed in 2008, should allow a rapid progression.

There are specific use cases of TCP that become more and more
critical for the infrastructure of TCP/IP based internetworks;
in particular DNS servers will become more and more dependable
on robust TCP implementations that are able to handle a large
load of rather short-lived connections.
The improved TCP timestamp initialization procedure in
draft-gont-tcpm-tcp-timestamps promises to become a useful
component in advanced TCP implementations, as experience with
open-source implementations already has shown.  Therefore,
IMO this recommendation is worth a standalone IETF document.

I already did a detailed review of the -00 draft version and
followed up to the -01.  Somehow, I missed the -02, and it looks
now like some of my comments on the -01 also have been missed.
Thus, I now already have sent to the author a follow-up editorial
review of the -03 covering my observations (mostly for sect. 1
and 2; some simply parallels to other documents in progress).
If the WG adopts the draft, these details could well be fixed
in the first WG version of the draft.

Kind regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

---

From: Alfred Hönes <[email-masked]>
Date: Mon, 22 Mar 2010 20:15:55 +0100 (MEZ)

Mark Allman wrote:
> ...
>
>   - But, to me, the right thing to do here is to roll these changes
>     into the work item this WG already has going: 1323bis.  [...]

Going?  Gone ??
It's listed on <http://tools.IETF.ORG/wg/tcpm/>:

   Expired:
   draft-ietf-tcpm-1323bis                -01    2009-03-04  Expired

[ And, btw,   -00  was published  2008-01-29,
  so extrapolating linearly, I still hope for a -02 soon.
  But the confidence level of statistics based on a sample of size 2
  is rather small.  :-) ]

A significant part of my review comments from early in 2009 have been
addressed in the -01 draft version, but other, non-trivial, parts
have been deferred to the next update.  I cannot recall discussion
of this draft on the list since a very long time.

So it looks like the choice for the WG might be having a short document
that can be shipped by the end of this year (or even much faster),
or with a -1323bis in 5 years or so.

(Or would you prefer doing both?)

IIRC, Fernando's timestamp draft has been phrased as a BCP because
feedback from the WG (MPLS IETF?) indicated it would not be acceptable
to the WG with normative language, on the Standards Track.

I personally would not oppose to Standards Track, but I'm not the WG.

Kind regards,
  Alfred.

--